#pragma once
#include <unordered_map>
#include "../base/interface.hpp"

namespace lsp::provider::call_hierarchy
{
    class OutgoingCalls : public IRequestProvider
    {
    public:
        OutgoingCalls() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        std::string ProvideResponse(const protocol::RequestMessage& request, ExecutionContext& context) override;
    };
}
